<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!--
<div class="exportbar">
    <a href="#" id="csv-export-button">${module.localization['export.exportcsv.label']}</a>
    <a href="#" id="send-bymail-button">${module.localization['export.sendbymail.label']}</a>
</div>

<div class="ewexport" id="csv-export-dialog">
    <h3>${module.localization['export.title']}</h3>
    <p>${module.localization['export.description']}</p>
    <form method="post" action="./exporterrorandwarninglist" id="csv-export-form">
        <fieldset>
            <input type="hidden" name="mode" value="1"/>
            <label for="separator">${module.localization['export.separator']}:</label>
            <input type="text" name="separator" id="separator" /><br/><br/>
            <input  type="button" value="${module.localization['export.generatefile']}" id="csv-export-submit"/>
            <input  type="button" value="${module.localization['export.cancel']}" id="csv-export-cancel" />
            <span id="csv-export-fdb"></span>
        </fieldset>
    </form>
</div>
<script>
    $("#csv-export-dialog").dialog({
        autoOpen: false,
        height: 350,
        width: 500,
        modal: true
    });
    $("#csv-export-cancel").button().on('click', function(e) {
        e.preventDefault();
        $("#csv-export-dialog").dialog("close");
    });
    $("#csv-export-submit").button().on('click', function(e) {
        e.preventDefault();
        if ($("#separator").val().trim() == '') {
            $("#csv-export-fdb").html("<br/><br/>${module.localization['export.completeseparator']}");
        } else {
            $("#csv-export-form").submit();
            $("#csv-export-dialog").dialog("close");
        }
    });
    $("#csv-export-button").button({icons: {primary: "ui-icon-document"}}).on('click', function(e) {
        e.preventDefault();
        $("#separator").val("");
        $("#csv-export-dialog").dialog("open");
    });
</script>

<div class="ewexport" id="send-bymail-dialog">
    <h3>${module.localization['export.title']}</h3>
    <p>${module.localization['export.description']}</p>
    <form method="post" action="./exporterrorandwarninglist" id="send-bymail-form">
        <fieldset>
            <input type="hidden" name="mode" value="2"/>

            <label for="to">${module.localization['export.mail.to']}:</label>${module.properties['mail.recipient']}
            <input type="hidden" name="to" id="to" value="${module.properties['mail.recipient']}" /><br/><br/>
            
            <label for="separator-mail">${module.localization['export.mail.separator']}:</label><input type="text" name="separator" id="separator-mail" /><br/><br/>
            
            <label for="notes">${module.localization['export.mail.notes']}:</label><br/>
            <textarea id="notes" name="notes"></textarea><br/><br/>
            
            <input type="button" value="${module.localization['export.generatefile']}" id="send-bymail-submit"/>
            <input type="button" value="${module.localization['export.cancel']}" id="send-bymail-cancel" />
            <span id="send-bymail-fdb"></span>
        </fieldset>
    </form>
</div>
<script>
    $("#send-bymail-dialog").dialog({
        autoOpen: false,
        height: 500,
        width: 600,
        modal: true
    });
    $("#send-bymail-cancel").button().on('click', function(e) {
        e.preventDefault();
        $("#send-bymail-dialog").dialog("close");
    });
    $("#send-bymail-submit").button().on('click', function(e) {
        e.preventDefault();
        var check = 0;
        var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
        if($("#to").val().trim() == ''){
            check++;
            $("#send-bymail-fdb").html("<br/><br/>${module.localization['export.completemail']}");
        }else if (!pattern.test($("#to").val())) {
            check++;
            $("#send-bymail-fdb").html("<br/><br/>${module.localization['export.correctmail']}");
        }else if($("#separator-mail").val().trim() == ''){
            check++;
            $("#send-bymail-fdb").html("<br/><br/>${module.localization['export.completeseparator']}");
        }
        if (check==0) {
            $("#send-bymail-fdb").html('${module.localization['export.sendingmail']}');
            $.ajax({
                url: "./exporterrorandwarninglist",
                data: { mode:2, to: $("#to").val(), separator: $("#separator-mail").val(), notes: $("#notes").val() }
            }).done(function() {
                $("#separator-mail").val("");
                $("#to").val("");
                $("#notes").val("");
                $("#send-bymail-fdb").html('${module.localization['export.mailsent']}');
            });
        }
    });
    $("#send-bymail-button").button({icons: {primary: "ui-icon-mail-closed"}}).on('click', function(e) {
        e.preventDefault();
        $("#separator-mail").val("");
        $("#to").val("");
        $("#notes").val("");
         $("#send-bymail-fdb").html("");
        $("#send-bymail-dialog").dialog("open");
    });
</script>
-->