<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<h2>${localization['home.title']}</h2>
<div class="main-content">
    <p>${localization['home.text']}</p>
</div>

<div>    
    <c:forEach items="${modules}" var="module">        
        <c:if test="${module.homeWidgetEnabled}">
            <c:set var="module" value="${module}" scope="request"></c:set>
            <jsp:include page="../modules/${module.moduleName}/widget.jsp"></jsp:include>
        </c:if>
    </c:forEach>

</div>