<%@page import="eu.europa.ec.re3gistry.constants.Constants"%>
<%@page import="java.util.List"%>
<%@page import="javax.persistence.EntityManager"%>
<%@page import="eu.europa.ec.re3gistrycommon.utils.PersistenceFactory"%>
<%@page import="java.util.ArrayList"%>
<%@page import="eu.europa.ec.re3gistrycommon.managers.StaticizerMgr"%>
<%@page import="eu.europa.ec.re3gistrycommon.model.Staticizer"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<h2>${module.localization['common.pagetitle']}</h2>
<div>

    <script>
        <%
            EntityManager em = PersistenceFactory.getEntityManagerFactory().createEntityManager();
            StaticizerMgr dpm = new StaticizerMgr(em);
            List<Staticizer> a = dpm.getAllStaticizerOrderDescByDatestart();
            int listSize = a.size();
            if (listSize > 0) {
            }
        %>
    </script>

    <p>${module.localization['common.laststaticizertitle']}</p>
    <div id="all-the-staticizer" class="lgtmar">
        <table id="procedurelist" style="width: 100%">
            <thead>
                <tr>
                    <th>${module.localization['main.id']}</th>
                    <th>${module.localization['main.status']}</th>
                    <th>${module.localization['main.datestart']}</th>
                    <th>${module.localization['main.dateend']}</th>
                </tr>
            </thead>
        </table>
    </div>

    <br/>
    <br/>

    <form enctype="multipart/form-data" method="post"  action="./analizestaticizer">
        <p>${module.localization['analyze.data.procedure.comparison.staticizer']}</p>
        <input id="analizestaticizer" type="submit" value="${module.localization['analyze']}"/>

        <span id="ldr" class="analyzer"></span>

        <script>
            $("#analizestaticizer").on("click", function() {
                $(".analyzer").css('display', 'inline-block');
            })
        </script>
    </form>

    <c:choose>
        <c:when test="${dataprocedurelistsize == 0}">
            <br/>
            <p>${module.localization['no.data.procedure']}</p>
        </c:when>
        <c:when test="${dataprocedurelistsize > 0}">
            <br/>
            <p>${module.localization['data.procedure.to.staticize']}</p>

            <div id="feedback-container" class="lgtmar">
                <table id="dataprocedurelist" style="width: 100%">
                    <thead>
                        <tr>
                            <th>${module.localization['main.comment']}</th>
                            <th>${module.localization['main.date']}</th>
                        </tr>
                    </thead>
                    <tbody>
                        <c:forEach items="${dataprocedurelist.dataprocedureBean}" var="dataprocedure">                            
                            <tr><td>${dataprocedure.comment}</td><td>${dataprocedure.datecompleted}</td></tr>
                        </c:forEach>
                    </tbody>
                </table>
            </div>
        </c:when>
    </c:choose>

    <c:choose>
        <c:when test="${itemlistsize == 0}">
            <br/>
            <p>${module.localization['no.items.to.staticize']}</p>
        </c:when>
        <c:when test="${dataprocedurelistsize > 0}">
            <br/>
            <p>${module.localization['items.to.staticize']}</p>

            <div id="feedback-container" class="lgtmar">
                <table id="datalist" style="width: 100%">
                    <thead>
                        <tr>
                            <th>${module.localization['main.uriname']}</th>
                            <th>${module.localization['main.itemclass']}</th>
                            <th>${module.localization['main.action']}</th>
                            <th>${module.localization['main.language']}</th>
                            <th>${module.localization['main.datecreation']}</th>
                        </tr>
                    </thead>
                    <tbody>
                        <c:forEach items="${itemslist.itemBean}" var="item">                            
                            <tr><td>${item.uriname}</td><td>${item.itemclass}</td><td>${item.action}</td><td>${item.languagecodeLabel}</td><td>${item.datecreation}</td></tr>
                        </c:forEach>
                    </tbody>
                </table>
            </div>
        </c:when>
    </c:choose>
</div>

<c:if test="${dataprocedurelistsize > 0}">   
    <br/><br/>
    <form enctype="multipart/form-data" method="post"  action="./startstaticizer">
        <p>${module.localization['staticize.last.data.procedure']}</p>
        <input id="startstaticizer" type="submit" value="${module.localization['start.staticizer']}">


        <span id="ldr" class="staticize"></span>

        <script>
            $("#startstaticizer").on("click", function(ev) {
                ev.preventDefault();
                $(this).button("disable");
                $(".staticize").css('display', 'inline-block');
                $.post('./startstaticizer', function() {});
                setTimeout(function() {
                    window.location.href=("./?m=Re3gistryStaticizer")
                }, 1000);
            })
        </script>
    </form>
</c:if>

<c:if test="${not empty staticizer}">
    <div id="staticizerdates">
        ${staticizer}
    </div>
</c:if>

</div>

<script>
    $('#dataprocedurelist, #datalist').dataTable({
        "bJQueryUI": true,
        "sPaginationType": "full_numbers",
        "iDisplayLength": 10
    });
</script>

<script>
    var procedurelist = $('#procedurelist').DataTable({
        "bJQueryUI": true,
        "sPaginationType": "full_numbers",
        "iDisplayLength": 10,
        "ajax": "modules/Re3gistryStaticizer/get-table.jsp"
    });
    
    setInterval( function () {
        procedurelist.ajax.reload();
    }, 15000 );
</script>

<script>
    $(function() {
        $("input[type=submit]").button({
            icons: {primary: "ui-icon-arrowthick-1-e"},
            text: true
        });
    });
</script>