--registry
INSERT INTO registry VALUES ('1', 'registry', 'http://inspire.ec.europa.eu', 'European Commission, Joint Research Centre', '2013-05-28 15:30:00', NULL);

--register
INSERT INTO register VALUES ('1', 'http://inspire.ec.europa.eu', 'theme', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2013-03-25 14:14:05.33835', NULL);
INSERT INTO register VALUES ('2', 'http://inspire.ec.europa.eu', 'applicationschema', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2013-03-25 14:16:22.677696', NULL);
INSERT INTO register VALUES ('3', 'http://inspire.ec.europa.eu', 'codelist', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2013-03-26 11:22:11.886922', NULL);
INSERT INTO register VALUES ('4', 'http://inspire.ec.europa.eu', 'featureconcept', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2013-03-25 14:16:22.677696', NULL);
INSERT INTO register VALUES ('5', 'http://inspire.ec.europa.eu', 'metadata-codelist', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2014-04-12 14:16:22.677696', NULL);
INSERT INTO register VALUES ('6', 'http://inspire.ec.europa.eu', 'document', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2014-04-12 14:16:22.677696', NULL);
INSERT INTO register VALUES ('7', 'http://inspire.ec.europa.eu', 'glossary', 'European Union', 'European Commission, Joint Research Centre', 'INSPIRE Maintenance and Implementation Group (MIG)', '1', '2014-05-05 14:16:22.677696', NULL);

--itemclass
INSERT INTO itemclass VALUES ('1', '1', 'Theme', 0, 2, NULL, '2013-03-25 15:40:30.457694', NULL);
INSERT INTO itemclass VALUES ('2', '2', 'ApplicationSchema', 0, 3, NULL, '2013-03-26 11:24:16.128728', NULL);
INSERT INTO itemclass VALUES ('3', '3', 'CodeList', 0, 4, NULL, '2013-03-26 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('4', '3', 'CodeListValue', 1, 5,  '3','2013-03-26 11:24:56.096222', NULL);
INSERT INTO itemclass VALUES ('5', '4', 'FeatureConcept', 0, 6, NULL, '2013-03-25 15:40:30.457694', NULL);
INSERT INTO itemclass VALUES ('6', '5', 'MetadataCodeList', 0, 7, NULL, '2014-04-12 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('7', '5', 'MetadataCodeListValue', 1, 8, '6', '2014-04-12 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('8', '6', 'Document', 0, 1, NULL, '2014-04-12 16:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('9', '7', 'Glossary', 0, 0, NULL, '2014-05-05 16:24:45.727957', NULL);

--languagecode
INSERT INTO languagecode VALUES ('1', 'english', 'en', TRUE);
INSERT INTO languagecode VALUES ('2', 'italiano', 'it');
INSERT INTO languagecode VALUES ('3', 'czech', 'cs');
INSERT INTO languagecode VALUES ('4', 'bulgarian', 'bg');
INSERT INTO languagecode VALUES ('5', 'danish', 'da');
INSERT INTO languagecode VALUES ('6', 'german', 'de');
INSERT INTO languagecode VALUES ('7', 'greek', 'el');
INSERT INTO languagecode VALUES ('8', 'spanish', 'es');
INSERT INTO languagecode VALUES ('9', 'estonian', 'et');
INSERT INTO languagecode VALUES ('10', 'finnish', 'fi');
INSERT INTO languagecode VALUES ('11', 'french', 'fr');
INSERT INTO languagecode VALUES ('12', 'hungarian', 'hu');
INSERT INTO languagecode VALUES ('13', 'lithuanian', 'lt');
INSERT INTO languagecode VALUES ('14', 'latvian', 'lv');
INSERT INTO languagecode VALUES ('15', 'maltese', 'mt');
INSERT INTO languagecode VALUES ('17', 'polish', 'pl');
INSERT INTO languagecode VALUES ('16', 'dutch', 'nl');
INSERT INTO languagecode VALUES ('18', 'portuguese', 'pt');
INSERT INTO languagecode VALUES ('19', 'romanian', 'ro');
INSERT INTO languagecode VALUES ('20', 'slovak', 'sk');
INSERT INTO languagecode VALUES ('21', 'slovenian', 'sl');
INSERT INTO languagecode VALUES ('22', 'swedish', 'sv');
INSERT INTO languagecode VALUES ('23', 'croatian', 'hr');


--status
INSERT INTO status VALUES ('1', 'http://inspire.ec.europa.eu/registry/status', 'valid');
INSERT INTO status VALUES ('2', 'http://inspire.ec.europa.eu/registry/status', 'invalid');
INSERT INTO status VALUES ('3', 'http://inspire.ec.europa.eu/registry/status', 'submitted');
INSERT INTO status VALUES ('4', 'http://inspire.ec.europa.eu/registry/status', 'superseded');
INSERT INTO status VALUES ('5', 'http://inspire.ec.europa.eu/registry/status', 'retired');

--procedurestatus
INSERT INTO procedurestatus VALUES ('1', 'In progress');
INSERT INTO procedurestatus VALUES ('2', 'Failed');
INSERT INTO procedurestatus VALUES ('3', 'Completed');
INSERT INTO procedurestatus VALUES ('4', 'Deployed');
INSERT INTO procedurestatus VALUES ('5', 'Queued');