<!DOCTYPE html><html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>INSPIRE registry</title>
        <link rel="stylesheet" type="text/css" href="/res/css/style.css">
        <script>var lng="en";</script>
        <script src="/res/js/jquery-1.9.1.js"></script>
        <script src="/res/js/jquery-ui-1.10.1.min.js"></script>
        <script src="/res/js/jquery.dataTables.js"></script>
        <script src="/res/js/common-init.js"></script>
    <!--[if lte IE 8]><script src="/res/js/modernizr.js"></script><![endif]--></head>
    <body>
        <header>
            <div id="topright">
                <div id="topright-links"><a id="about" href="#">About</a> | 
                    <a href="mailto:inspire-registry-info@jrc.ec.europa.eu">Contact</a> |         
                    <a target="_blank" href="http://ec.europa.eu/geninfo/legal_notices_en.htm">Legal notice</a></div>
                <div id="widget-lang_select"></div>
            </div>
            <div id="breadctxt"><a href="http://ec.europa.eu/index_en.htm">European Commission</a>&nbsp;
                &gt;
                <a href="http://inspire.ec.europa.eu/">INSPIRE</a>&nbsp;
                &gt;
                <a href="/registry">INSPIRE registry</a>&nbsp;
                &gt;
                <span>Error 404 Not Found</span></div>
        </header>
        <article>
            <h2>INSPIRE registry</h2>

		 <?php
		 $lan = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
		 if($lan!='en'){
		 ?>
            <p>[This page is available only in English]</p>
		 <?
		 }
		 ?>

            <h3>The requested resource could not be found on this server.</h3>

		 <?php
		 $redirecturl = $_SERVER['REDIRECT_URL'];
		 $redirecturl = strtolower($redirecturl);
		 if(strrpos($redirecturl,'codelist')>=0){
		 ?>
            <p>If you requested a code list value recommended in the INSPIRE data specification Technical Guidelines for an <a href="/registry/extensibility/any">empty code list</a>, please note that these recommended values are not currently included in the INSPIRE registry.</p>
		 <?php
		 }
		 ?>

            <br/>
            <h3>HTTP error code: 404 Not Found</h3>

            <br/>
            <br/>

            <p>For detailed informations about the HTTP request supported by this registry system you can read the About section.</p>
            <br/>
            <br/>
            <br/>
            <p>Go back to the <a href="/registry">INSPIRE registry</a></p>
            <br/>
            <br/>
        </article>
        <footer>
            <div class="cnt">INSPIRE registry
                <div class="pwb">Powered by: <a href="/registry/system">Re3gistry v0.4</a></div>
            </div>
            <div id="helpd" title="INSPIRE Registry Help"></div>
            <div id="aboutd" title="INSPIRE Registry About"></div>
            <div id="fdbd" title="INSPIRE Registry Feedback"></div>
        </footer>
        <div class="dbc">
            <div class="dxbox searchb"><span>Search</span></div>
            <div class="dxbox help"><span>Help</span></div>
            <div class="dxbox feedback"><span>Feedback</span></div>
            <div class="dxbox rss"><span>RSS news</span></div>
        </div>
    </body>
</html>