<!DOCTYPE html><html lang="en">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>INSPIRE registry</title>
      <link rel="stylesheet" type="text/css" href="/res/css/style.css">
	  <script>var lng="en";</script>
	  <script src="/res/js/jquery-1.9.1.js"></script>
	  <script src="/res/js/jquery-ui-1.10.1.min.js"></script>
	  <script src="/res/js/jquery.dataTables.js"></script>
	  <script src="/res/js/common-init.js"></script>
      <!--[if lte IE 8]><script src="/res/js/modernizr.js"></script><![endif]--></head>
   <body>
      <header>
         <div id="topright">
            <div id="topright-links"><a id="about" href="#">About</a> | 
               <a href="mailto:inspire-registry-info@jrc.ec.europa.eu">Contact</a> |         
               <a target="_blank" href="http://ec.europa.eu/geninfo/legal_notices_en.htm">Legal notice</a></div>
            <div id="widget-lang_select"><!--<select id="lngm" onchange="sc()">
                  <option value="bg">български (bg)</option>
                  <option value="cs">čeština (cs)</option>
                  <option value="da">dansk (da)</option>
                  <option value="de">Deutsch (de)</option>
                  <option value="et">eesti keel (et)</option>
                  <option value="el">ελληνικά (el)</option>
                  <option value="en">English (en)</option>
                  <option value="es">español (es)</option>
                  <option value="fr">français (fr)</option>
                  <option value="hr">hrvatski (hr)</option>
                  <option value="it">italiano (it)</option>
                  <option value="lv">latviešu valoda (lv)</option>
                  <option value="lt">lietuvių kalba (lt)</option>
                  <option value="hu">magyar (hu)</option>
                  <option value="mt">Malti (mt)</option>
                  <option value="nl">Nederlands (nl)</option>
                  <option value="pl">polski (pl)</option>
                  <option value="pt">português (pt)</option>
                  <option value="ro">română (ro)</option>
                  <option value="sk">slovenčina (sk)</option>
                  <option value="sl">slovenščina (sl)</option>
                  <option value="fi">suomi (fi)</option>
                  <option value="sv">svenska (sv)</option></select>--></div>
         </div>
         <div id="breadctxt"><a href="http://ec.europa.eu/index_en.htm">European Commission</a>&nbsp;
            &gt;
            <a href="http://inspire.ec.europa.eu/">INSPIRE</a>&nbsp;
            &gt;
            <a href="/registry">INSPIRE registry</a>&nbsp;
            &gt;
            <span>Error 406 Not Found</span></div>
      </header>
      <article>
		 <h2>INSPIRE registry</h2>
		 
		 <?php
		 $lan = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
		 if($lan!='en'){
		 ?>
		 <p>[This page is available only in English]</p>
		 <?
		 }
		 ?>
		 
         <h3>The requested resource could not be found on this server.</h3>
		 <h3>HTTP error code: 406 Not Found</h3>
		 <!--<p>Requested format: <strong><?=$_SERVER["HTTP_ACCEPT"];?></strong></p>-->
		 <br/>
		 <br/>

		 <p>For detailed informations about the HTTP request supported by this registry system you can read the About section.</p>
		 <br/>
		 <br/>
		 <br/>
		 <p>Go back to the <a href="/registry">INSPIRE registry</a></p>
		 <br/>
		 <br/>
      </article>
      <footer>
         <div class="cnt">INSPIRE registry      
            <div class="pwb">Powered by: <a href="/registry/system">Re3gistry v0.4</a></div>
         </div>
		 <div id="helpd" title="INSPIRE Registry Help"></div>
         <div id="aboutd" title="INSPIRE Registry About"></div>
         <div id="fdbd" title="INSPIRE Registry Feedback"></div>
	  </footer>
	  <div class="dbc">
         <div class="dxbox searchb"><span>Search</span></div>
         <div class="dxbox help"><span>Help</span></div>
         <div class="dxbox feedback"><span>Feedback</span></div>
         <div class="dxbox rss"><span>RSS news</span></div>
      </div>
      <script type="text/javascript">var URWidgetListener = function (event) {  if (event.data.indexOf("redirect") == 0) {    found = event.data.match(/redirect:url\(([^\)]*)\)/);    if (found.length == 2) {      location.href = found[1];    }  }};if (window.addEventListener) {  window.addEventListener("message", URWidgetListener, false);} else {  window.attachEvent("onmessage", URWidgetListener);} var head  = document.getElementsByTagName("head")[0];var link  = document.createElement("link");link.rel  = "stylesheet";link.type = "text/css";link.href = "http://inspire.ec.europa.eu/useresponse/registry/public/themes/default/assets/css/widget.css";link.media = "all";head.appendChild(link);</script><script type="text/javascript">widget = {url:'http://inspire.ec.europa.eu/useresponse/registry/'}</script><script src="http://inspire.ec.europa.eu/useresponse/registry/public/assets/modules/system/js/widget.js" type="text/javascript"></script>
	  </body>
</html>