<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<div class="mainmenu-cnt">
    <ul class="mainmenu">
        <c:choose> 
            <c:when test="${empty param.m}">
                <li><a class="sel" href="./">${localization['common.homelabel']}</a></li>
            </c:when>
            <c:otherwise>
                <li><a href="./">${localization['common.homelabel']}</a></li>
            </c:otherwise>
        </c:choose>       
        <c:forEach items="${modules}" var="module">
            <c:if test="${module.viewInMenu}">
                <c:choose> 
                    <c:when test="${module.moduleName eq param.m}">
                        <li><a class="sel" href="./?m=${module.moduleName}">${module.menuLabel}</a></li>
                    </c:when>
                    <c:otherwise>
                        <li><a href="./?m=${module.moduleName}">${module.menuLabel}</a></li>
                    </c:otherwise>
                </c:choose>   
            </c:if>
        </c:forEach>
    </ul>
</div>